Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.associations.tertius
Class AttributeValueLiteral

    java.lang.Object
      weka.associations.tertius.Literal
          weka.associations.tertius.AttributeValueLiteral

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IndividualLiteral

    public class AttributeValueLiteral

extends Literal

Version:
  $Revision: 1.3.2.1 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.associations.tertius.Literal
`NEG, POS`

Constructor Summary
`AttributeValueLiteral(Predicate predicate, java.lang.String value, int index, int sign, int missing)`

Method Summary
`boolean` | `negationSatisfies(Instance instance)`
`boolean` | `satisfies(Instance instance)`
`java.lang.String` | `toString()`

Methods inherited from class weka.associations.tertius.Literal
`getNegation, getPredicate, negative, positive, setNegation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeValueLiteral

    public AttributeValueLiteral(Predicate predicate,
                                 java.lang.String value,
                                 int index,
                                 int sign,
                                 int missing)

Method Detail

### satisfies

    public boolean satisfies(Instance instance)

  Specified by:
    `satisfies` in class `Literal`

### negationSatisfies

    public boolean negationSatisfies(Instance instance)

  Specified by:
    `negationSatisfies` in class `Literal`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `Literal`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD